=== modified file 'database/schema/security.cfg'
--- database/schema/security.cfg	2011-06-13 01:28:11 +0000
+++ database/schema/security.cfg	2011-06-13 08:48:11 +0000
@@ -84,7 +84,6 @@
 public.bug_summary_dec(bugsummary)         =
 public.bug_summary_flush_temp_journal()    =
 public.bug_summary_inc(bugsummary)         =
-public.bug_summary_temp_journal_clean_row(bugsummary) =
 public.bug_summary_temp_journal_dec(bugsummary) =
 public.bug_summary_temp_journal_inc(bugsummary) =
 public.bugsummary_journal_ins(bugsummary)  =

=== modified file 'database/schema/trusted.sql'
--- database/schema/trusted.sql	2011-05-25 14:15:06 +0000
+++ database/schema/trusted.sql	2011-06-13 08:39:28 +0000
@@ -259,6 +259,7 @@
         WHERE
             pg_class.relnamespace = pg_namespace.oid
             AND pg_class.relkind = 'r'
+            AND pg_table_is_visible(pg_class.oid)
 
         UNION ALL
         
@@ -277,6 +278,7 @@
             pg_index
         WHERE
             pg_class_index.relkind = 'i'
+            AND pg_table_is_visible(pg_class_table.oid)
             AND pg_class_index.relnamespace = pg_namespace_index.oid
             AND pg_class_table.relnamespace = pg_namespace_table.oid
             AND pg_index.indexrelid = pg_class_index.oid
@@ -299,6 +301,7 @@
             pg_class AS pg_class_toast
         WHERE
             pg_class_toast.relnamespace = pg_namespace_toast.oid
+            AND pg_table_is_visible(pg_class_table.oid)
             AND pg_class_table.relnamespace = pg_namespace_table.oid
             AND pg_class_toast.oid = pg_class_table.reltoastrelid
 
@@ -320,6 +323,7 @@
             pg_class AS pg_class_toast
         WHERE
             pg_class_table.relnamespace = pg_namespace_table.oid
+            AND pg_table_is_visible(pg_class_table.oid)
             AND pg_class_index.relnamespace = pg_namespace_index.oid
             AND pg_class_table.reltoastrelid = pg_class_toast.oid
             AND pg_class_index.oid = pg_class_toast.reltoastidxid

